export const loadAndProcessData = () => 
  Promise.all([
    tsv('https://unpkg.com/world-atlas@1.1.4/world/110m.tsv'),
    json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  ]).then(([tsvData, topoJsonData]) => {

    const rowById = {};
    tsvData.forEach(d => { 
      rowById[d.iso_n3]=d;
    });

    /*const countryName = tsv.reduce((accumulator, d) => {
      accumulator[d.iso_n3] = d;
      return accumulator
    }, {});
    */

    const countries = feature(topoJsonData, topoJsonData.objects.countries);			

    countries.features.forEach(d => {
      Object.assign(d.properties, rowById[d.id]);
    })
    
    return countries;
    
  });